# MPI приложения. Инструкция по сборке и работе

## Подключение

После [__входа на кластер__](./connect.md) перейдите на узел из списка:

```
node36
node37
node38
node39
```

В случае если ни один из этих узлов недоступен можно использовать

`node32` или `node50`

Если ни один из этих узлов не работает, напишите письмо на почтту администратору кластера `565963@gmail.com` с темой: "Вычислительный кластер. Недоступность узлов"

## Компиляция

Для компиляции нам потребуется компилятор `mpiicc` либо `mpiicpc`.

Чтобы получить доступ к этим компиляторам, после входа на узел введите команду:

`$ targetIntel`

Компиляция производится следующим образом:

`$ mpiicpc %файл_исходного_кода.cpp -o %скомпилированный_исполняемый_файл`

Для примера:

`$ mpiicpc mpi_lab1.cpp -o compiled_lab1`

## Запуск

Для запуска потребуется утилита `mpirun` уже доступная после выполнения команды `targetIntel`

Запуск производится следующим образом:

`$ mpirun -np %число_процессов ./%скомпилированный_исполняемый_файл`

Для примера:

`$ mpirun -np 2 ./compiled_lab1`